## org.jfree.report.util
Class ScalingExtendedDrawable

    java.lang.Object
      org.pentaho.reporting.libraries.resourceloader.factory.drawable.DrawableWrapper
          org.jfree.report.util.ScalingExtendedDrawable

    public class ScalingExtendedDrawable

extends org.pentaho.reporting.libraries.resourceloader.factory.drawable.DrawableWrapper

Creation-Date: 20.01.2006, 19:46:10

Author:
  Thomas Morgner

Constructor Summary
`ScalingExtendedDrawable(java.lang.Object drawable)` Default constructor.

Method Summary
`void` `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area)` Draws the object.
`float` `getScaleX()` Returns the horizontal scale factor.
`float` `getScaleY()` Returns the vertical scale factor.
`void` `setScaleX(float scaleX)` Defines the horizontal scale factor.
`void` `setScaleY(float scaleY)` Defines the vertical scale factor.

Methods inherited from class org.pentaho.reporting.libraries.resourceloader.factory.drawable.DrawableWrapper
`getBackend, getPreferredSize, isDrawable, isPreserveAspectRatio`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScalingExtendedDrawable

    public ScalingExtendedDrawable(java.lang.Object drawable)

  Default constructor. Initializes the scaling to 1.

  Parameters:
    `drawable` - the drawable object

Method Detail

### getScaleY

    public float getScaleY()

  Returns the vertical scale factor.

  Returns:
    the scale factor.

### setScaleY

    public void setScaleY(float scaleY)

  Defines the vertical scale factor.

  Parameters:
    `scaleY` - the scale factor.

### getScaleX

    public float getScaleX()

  Returns the horizontal scale factor.

  Returns:
    the scale factor.

### setScaleX

    public void setScaleX(float scaleX)

  Defines the horizontal scale factor.

  Parameters:
    `scaleX` - the scale factor.

### draw

    public void draw(java.awt.Graphics2D g2,
                     java.awt.geom.Rectangle2D area)

  Draws the object.

  Overrides:
    `draw` in class `org.pentaho.reporting.libraries.resourceloader.factory.drawable.DrawableWrapper`
  Parameters:
    `g2` - the graphics device.
    `area` - the area inside which the object should be drawn.